BEGIN {
    debug( \
        exec_to_string( "date -Iseconds" ) \
        " " REMOTE_ADDR \
        " " REQUEST_FULL_URL \
    );

    _REQUEST_NO_PROTOCOL =  str_replace( "[^:]+:\\/\\/",    "", REQUEST_FULL_URL );
    REQUEST_URI =           str_replace( "[^/]+\\/?",       "/", _REQUEST_NO_PROTOCOL );

    PATH_INFO =         url_decode( str_replace( "\\?.+$",      "", REQUEST_URI ));
    QUERY_STRING =      url_decode( str_replace( "[^?]+\\??",   "", REQUEST_URI ));
    SERVER_NAME =       str_replace( "\\/.*$",                  "", _REQUEST_NO_PROTOCOL );
    SERVER_PROTOCOL =   str_replace( ":\\/\\/.+$",              "", REQUEST_FULL_URL );
}
