BEGIN {
    response_code = "51"
    response_meta = "text/gemini"
    response_body = ""
}

function println( arg ) {
    response_body = response_body "\n" arg
}

function response_end() {

    printf "%s %s\r\n", response_code, response_meta
    print response_body
    exit;
}

function response_error() {

    response_code = "42"
    response_body = "Internal server error"
    response_end()
}

function response_not_found() {

    response_code = "51"
    response_body = "Page not found"
    response_end();
}

function response_ok() {

    response_code = "20"
    response_end()
}

function response_reset() {

    response_body = ""
}
