PATH_INFO ~ /^\/test-cgi/ {

    h1( "Test CGI" );

    pre_open();
    println( REQUEST_FULL_URL );
    println();
    println( "GATEWAY_INTERFACE: "  GATEWAY_INTERFACE );
    println( "PATH_INFO: "          PATH_INFO );
    println( "PATH_TRANSLATED: "    PATH_TRANSLATED );
    println( "QUERY_STRING: "       QUERY_STRING );
    println( "REMOTE_ADDR: "        REMOTE_ADDR );
    println( "REMOTE_HOST: "        REMOTE_HOST );
    println( "REMOTE_USER: "        REMOTE_USER );
    println( "REQUEST_URI: "        REQUEST_URI );
    println( "SERVER_NAME: "        SERVER_NAME );
    println( "SERVER_PORT: "        SERVER_PORT );
    pre_close();

    link( "/", "Back to home" );

    response_ok();
}

PATH_INFO == "/" {

    h1( "Hello World from Awk!" );
    text( "This is a test." );
    pre( REQUEST_FULL_URL );
    link( "/test-cgi/abc%20123?query%20string", "Test CGI" );
    text( "Updated " \
        exec_to_string( "date -Iseconds" ) \
    );

    response_ok();
}

{
    debug( "* matched" );
    response_not_found();
}
